#ifndef SETTINGUIINFO_H
#define SETTINGUIINFO_H

#include <QListWidget>
#include "UiTools.h"

class settingUiInfo : public SettingUiPage
{
    Q_OBJECT
public:
    typedef enum
    {
        INFO_CHECK_DEV_ID,
        INFO_CHECK_SOFT_VERSION,
        INFO_CHECK_HARD_VERSION,
        INFO_CHECK_MAC,
        INFO_CHECK_IP,
        INFO_UNDER_SCREEN_NFC_MODULE_ID,
        INFO_EXTEND_NFC_MODULE_ID,
        INFO_CHECK_SPACE_TOTAL,
        INFO_CHECK_SPACE_FREE,
        INFO_CHECK_PERSON_REG,
        INFO_CHECK_NOT_UP_ACC_RED_QTY
    }INFO_CHECK_E;

    static int m_pageIndex;

    explicit settingUiInfo(int pageIndex, QWidget *parent = nullptr);
    ~settingUiInfo();
    void setBackstageUiinterface(BackstageInterfaceForUi* interface);
    void reset();

signals:

public slots:
    void slotItemClicked(QListWidgetItem* item){Q_UNUSED(item);}

private:    

};

#endif // SETTINGUIINFO_H
