#ifndef SETTINGUIRECOSET_H
#define SETTINGUIRECOSET_H

#include <QListWidget>
#include "UiTools.h"

class settingUiRecoSet : public SettingUiPage
{
    Q_OBJECT
public:
    typedef enum
    {
        enRecoIdeSw,
        enRecoLiveSw,
        //enRecoLiveThre,
        enRecoIdeThre,
        enRecoIdeThreCustom,
        enRecoIDFaceVerify,
        enRecoMaskSw,        
        enRecoNoMaskNoPassSw,
        enHealthCodeSw,
        enHealthCodeNoFaceRequiredSw,
		enHealthCodeAllowStrangerSw,       
		enHealthCodePassCfg,       
	}enRecoSet;

    static int m_pageIndex;

    explicit settingUiRecoSet(int pageIndex, QWidget *parent = nullptr);
    ~settingUiRecoSet();
    void setBackstageUiinterface(BackstageInterfaceForUi* interface);
    void reset();

signals:

protected slots:
    void slotItemClicked(QListWidgetItem* item);

private:
    
    const QVector<QString> RecoSimThre = {
    tr("宽松"),
    tr("一般"),
    tr("适中"),
    tr("严格"),
    tr("极严格"),
    tr("自定义")
    };

    const QVector<QString> LivingThre = {
    tr("宽松"),
    tr("一般"),
    tr("严格")
    };
};
#endif // SETTINGUIRECOSET_H
