#ifndef RECOUIUNAUTHORIZED_H
#define RECOUIUNAUTHORIZED_H

#include <QWidget>
#include <QLabel>
#include <QPushButton>
#include <QHBoxLayout>

class recoUiUnauthorized : public QWidget
{
    Q_OBJECT
public:
    static constexpr int screenWidth = 600;
    static constexpr int itemHeight = 41;
    static constexpr int nSpace = 14;

enum TITLE_LAYOUT{
    LOGO_MID = 0,
    TIME_MID,
    LOGO_TIME,
    MAX
};

public:
    explicit recoUiUnauthorized(QWidget *parent = 0);
    ~recoUiUnauthorized();

     void titleShow(TITLE_LAYOUT titleIndex);

signals:

public slots:

private:
    void showRWLogo(QString icon, QString rw);
    void showTime();
    void showRecoInfo(QString name, QString id, QString part);
    QPixmap PixmapToRound(QPixmap &src, int radius);

private:
    QLabel* _label_Bottom;
    QLabel* m_label_iconUnahd;
    QLabel* m_label_msgUnahd;
    QLabel* m_label_msg;
    QPushButton* m_btn_reCheck;
    QPushButton* m_btn_sysSet;

    QWidget* _widgetMainReco;
    QLabel* _labelRWIcon;
    QLabel* _labelRWLogo;
    QLabel* _labelTime;
    QWidget* _widgetReco;
    QLabel* _labelRecoRes;
    QWidget* _WidgetTitle;

    QHBoxLayout* _HLayoutTitle;
};

#endif // RECOUIUNAUTHORIZED_H
