#ifndef SETTINGUIPROJECTSET_H
#define SETTINGUIPROJECTSET_H

#include <QPushButton>

#include "UiTools.h"
#include "UiConfig.h"

class settingUIProjectSet : public MyWidgetWithSubStyleColor
{
    Q_OBJECT
public:
    static constexpr int itemHeight = UiConfig::SETTING_PAGE_ITEM_HEIGHT;
    static constexpr int nSpace = UiConfig::SETTING_PAGE_WIDGET_TO_FRAME;

public:
    explicit settingUIProjectSet(QWidget *parent = nullptr);

signals:
    void pageSetSignal(int nIndex, const QString = "");

public slots:
    void slotBtnClicked();

private:
    static const int BtnQty;
    static const int FristPageIndex;
    QPushButton *m_pPushBtns;
};

#endif // SETTINGUIPROJECTSET_H
